Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit python-setuptools_scm for openSUSE:Factory
Hello community,

here is the log from the commit of package python-setuptools_scm for
openSUSE:Factory checked in at 2019-04-04 12:03:36
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/python-setuptools_scm (Old)
and /work/SRC/openSUSE:Factory/.python-setuptools_scm.new.3908 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "python-setuptools_scm"

Thu Apr 4 12:03:36 2019 rev:21 rq:690880 version:3.2.0

Changes:
--------
---
/work/SRC/openSUSE:Factory/python-setuptools_scm/python-setuptools_scm.changes
2019-03-04 09:11:10.524699884 +0100
+++
/work/SRC/openSUSE:Factory/.python-setuptools_scm.new.3908/python-setuptools_scm.changes
2019-04-04 12:03:54.221402671 +0200
@@ -1,0 +2,8 @@
+Tue Apr 2 14:47:52 CEST 2019 - Matej Cepl <mcepl@xxxxxxxx>
+
+- Original patch by John Vandenberg, modified:
+ - Move pytest -k test exclusions into add-rpmfail-pytest-markers.patch
+ to clarify the reason for those failures
+ - Refine runtime Recommends from git to git-core
+
+-------------------------------------------------------------------

New:
----
add-rpmfail-pytest-markers.patch

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ python-setuptools_scm.spec ++++++
--- /var/tmp/diff_new_pack.nrGBD4/_old 2019-04-04 12:03:55.253403002 +0200
+++ /var/tmp/diff_new_pack.nrGBD4/_new 2019-04-04 12:03:55.257403004 +0200
@@ -36,6 +36,7 @@
Group: Development/Languages/Python
URL: https://github.com/pypa/setuptools_scm
Source:
https://files.pythonhosted.org/packages/source/s/setuptools_scm/setuptools_scm-%{version}.tar.gz
+Patch0: add-rpmfail-pytest-markers.patch
BuildRequires: %{python_module setuptools}
BuildRequires: fdupes
BuildRequires: python-rpm-macros
@@ -46,10 +47,10 @@
BuildRequires: %{python_module pip}
BuildRequires: %{python_module pytest}
BuildRequires: %{python_module setuptools_scm = %{version}}
-BuildRequires: git
+BuildRequires: git-core
%endif
%if 0%{?suse_version} || 0%{?fedora_version} >= 24
-Recommends: git
+Recommends: git-core
%endif
%python_subpackages

@@ -59,6 +60,7 @@

%prep
%setup -q -n setuptools_scm-%{version}
+%autopatch -p1
rm tox.ini

%build
@@ -72,12 +74,12 @@

%if %{with test}
%check
-%python_expand PYTHONPATH=%{$python_sitelib} py.test-%{$python_bin_suffix} -v
-k 'not (test_pip_download or test_old_setuptools_fails or
test_old_setuptools_allows_with_warnings or test_distlib_setuptools_works or
test_mercurial or hg)'
+%python_expand PYTHONPATH=%{$python_sitelib} py.test-%{$python_bin_suffix} -v
-k 'not (rpmfail_github_connect or test_mercurial or hg)'
%endif

+%if !%{with test}
%files %{python_files}
%license LICENSE
-%if !%{with test}
%doc README.rst CHANGELOG.rst
%{python_sitelib}/setuptools_scm*
%endif

++++++ add-rpmfail-pytest-markers.patch ++++++
diff -ru setuptools_scm-3.2.0-orig/testing/test_regressions.py
setuptools_scm-3.2.0/testing/test_regressions.py
--- setuptools_scm-3.2.0-orig/testing/test_regressions.py 2019-01-17
02:34:04.000000000 +0700
+++ setuptools_scm-3.2.0/testing/test_regressions.py 2019-03-15
13:15:33.248842438 +0700
@@ -49,6 +49,7 @@
assert get_version(root=p.strpath) == "1.0"


+@pytest.mark.rpmfail_github_connect
@pytest.mark.issue(164)
def test_pip_download(tmpdir, monkeypatch):
monkeypatch.chdir(tmpdir)
diff -ru setuptools_scm-3.2.0-orig/testing/test_setuptools_support.py
setuptools_scm-3.2.0/testing/test_setuptools_support.py
--- setuptools_scm-3.2.0-orig/testing/test_setuptools_support.py
2019-01-17 02:34:04.000000000 +0700
+++ setuptools_scm-3.2.0/testing/test_setuptools_support.py 2019-03-15
13:16:43.573444176 +0700
@@ -65,12 +65,14 @@
)


+@pytest.mark.rpmfail_github_connect
def test_old_setuptools_fails(get_setuptools_packagedir):
packagedir = get_setuptools_packagedir("0.9.8")
with pytest.raises(subprocess.CalledProcessError):
check(packagedir, "0.9.8")


+@pytest.mark.rpmfail_github_connect
def test_old_setuptools_allows_with_warnings(get_setuptools_packagedir):

packagedir = get_setuptools_packagedir("0.9.8")
@@ -78,6 +80,7 @@
check(packagedir, "0.9.8", PYTHONWARNINGS="once::Warning")


+@pytest.mark.rpmfail_github_connect
def test_distlib_setuptools_works(get_setuptools_packagedir):
packagedir = get_setuptools_packagedir("12.0.1")
check(packagedir, "12.0.1")

< Previous Next >
This Thread